package example.hello;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Adapted from the "Hello World" example from Sun at 
 * http://java.sun.com/javase/6/docs/technotes/guides/rmi/hello/hello-world.html
 *
 * This is the interface that defines an object that will be presented out via RMI.
 * Note how this interface must extend Remote.
 */
public interface Hello extends Remote {
	/**
	 * This is a remote method that a client could call.   
	 * Note that it must throw RemoteException because of possible network and other errors.
	 * @return
	 * @throws RemoteException
	 */
	String sayHello() throws RemoteException;
}
